Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Installing flash_player_9 [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64
View previous topic :: View next topic  
Author Message
zzaappp
Apprentice
Apprentice


Joined: 06 Jun 2003
Posts: 176

PostPosted: Wed Mar 07, 2007 2:40 am    Post subject: Installing flash_player_9 [SOLVED] Reply with quote

I did a fresh AMD64 gentoo install on my laptop. Ran into a wesbite using flashplayer 9 and followed the link to download. I downloaded and tried to install, but it failed:
$ ./flashplayer-installer

ERROR: Your architecture, \'x86_64\', is not supported by the
Adobe Flash Player installer.[/quote]

It looks like other folks have gotten flash to work with linux on the AMD64. Anyone know how its done?

Many thanks!

-z


Last edited by zzaappp on Fri Mar 09, 2007 11:11 pm; edited 1 time in total
Back to top
View user's profile Send private message
geniux
Veteran
Veteran


Joined: 19 Feb 2004
Posts: 1400
Location: /home

PostPosted: Wed Mar 07, 2007 3:15 am    Post subject: Reply with quote

64 bit isn't supported yet you need a 32 bit version of Firefox or Seamonkey, or you can get it working trough a chroot environment but that's something I've never tried

Code:

# emerge mozilla-firefox-bin
# emerge netscape-flash

Should take care of it all
Then just run firefox-bin or add it to any starter icon you may/want to use for it

I'm using firefox-bin with adobe flashplayer (netscape-flash is adobe flashplayer) and it works great
_________________
AMD Athlon64 X2 4200+ AM2
MSI K9N SLI Platinum, Enermax Liberty 500W
1GB RAM Crucial DDR2 667MHz, MSI nVidia 7600GS 256MB
400GB + 250GB Samsung SATAII HDD
Gentoo - BeyondSources 2.6.19-20
Back to top
View user's profile Send private message
AaronPPC
Guru
Guru


Joined: 29 May 2005
Posts: 517
Location: Tucson, AZ

PostPosted: Wed Mar 07, 2007 3:33 am    Post subject: Reply with quote

But since you didn't buy a 64-bit processor to run 32-bit software... :)
Code:
# emerge netscape-flash nspluginwrapper

then
Code:
# nspluginwrapper -a

Nspluginwrapper allows you to use 32-bit plugins with 64-bit firefox.
_________________
--Aaron
Back to top
View user's profile Send private message
i92guboj
Moderator
Moderator


Joined: 30 Nov 2004
Posts: 9798
Location: Córdoba (Spain)

PostPosted: Wed Mar 07, 2007 4:34 am    Post subject: Reply with quote

Yep, it works flawlessly in konqueror as well, and probably most of the browsers supporting nsplugins. Just emerge netscape-flash and nspluginswrapper. You dont need to install anything by hand, all is in portage.
Back to top
View user's profile Send private message
geniux
Veteran
Veteran


Joined: 19 Feb 2004
Posts: 1400
Location: /home

PostPosted: Wed Mar 07, 2007 5:29 am    Post subject: Reply with quote

I should have mentioned nspluginwrapper
But I found it very unstable the last time I tried it, hopefully it's much better now. Well, I have to try it again :)
_________________
AMD Athlon64 X2 4200+ AM2
MSI K9N SLI Platinum, Enermax Liberty 500W
1GB RAM Crucial DDR2 667MHz, MSI nVidia 7600GS 256MB
400GB + 250GB Samsung SATAII HDD
Gentoo - BeyondSources 2.6.19-20
Back to top
View user's profile Send private message
i92guboj
Moderator
Moderator


Joined: 30 Nov 2004
Posts: 9798
Location: Córdoba (Spain)

PostPosted: Wed Mar 07, 2007 5:43 am    Post subject: Reply with quote

I found nothing wrong with it lastly, but, anyway, your alternative is also valid.

Another alternative -the third- would be to install the berkano or gfn-overlays and install nsplugins32, which is basically a precompiled 32 bits version of nsplugins, that will accept 32 bits plugins -konqueror can communicate with this via dcop, and that is why it works-. Of course, if you do so, say bye to any other plugin that is not a 32 bits binary. So, I would try nspluginswrapper the first, if you have problems, install firefox-bin and try that.
Back to top
View user's profile Send private message
zzaappp
Apprentice
Apprentice


Joined: 06 Jun 2003
Posts: 176

PostPosted: Wed Mar 07, 2007 2:53 pm    Post subject: Reply with quote

I followed what AaronPPC suggested, then restarted firefox and went to a link with a flash play requirement, and it still says "get flash".
Quote:
% nspluginwrapper -l

returns nothing, so it looks as though the plugin was never installed. If I do a search for "flash", I end up with the following details:

Quote:
/opt/netscape/plugins/libflashplayer.so
/opt/netscape/plugins/flashplayer.xpt


Is there another step I need to take to get this working with firefox?

-z
Back to top
View user's profile Send private message
geniux
Veteran
Veteran


Joined: 19 Feb 2004
Posts: 1400
Location: /home

PostPosted: Wed Mar 07, 2007 3:16 pm    Post subject: Reply with quote

zzaappp wrote:
I followed what AaronPPC suggested, then restarted firefox and went to a link with a flash play requirement, and it still says "get flash".
Quote:
% nspluginwrapper -l

returns nothing, so it looks as though the plugin was never installed. If I do a search for "flash", I end up with the following details:

Quote:
/opt/netscape/plugins/libflashplayer.so
/opt/netscape/plugins/flashplayer.xpt


Is there another step I need to take to get this working with firefox?

-z

Works like a charm here
Does it help if you restart Firefox? Or have you tried that already?

Btw: It's so much stable now than last time, thanks guys :wink:
_________________
AMD Athlon64 X2 4200+ AM2
MSI K9N SLI Platinum, Enermax Liberty 500W
1GB RAM Crucial DDR2 667MHz, MSI nVidia 7600GS 256MB
400GB + 250GB Samsung SATAII HDD
Gentoo - BeyondSources 2.6.19-20
Back to top
View user's profile Send private message
JeliJami
Veteran
Veteran


Joined: 17 Jan 2006
Posts: 1086
Location: Belgium

PostPosted: Wed Mar 07, 2007 4:36 pm    Post subject: Reply with quote

Code:
# nspluginwrapper -h
nspluginwrapper, configuration tool.  Version 0.9.91.2

   usage: nspluginwrapper [flags] [command [plugin(s)]]

   -h --help               print this message
   -v --verbose            flag: set verbose mode
   -a --auto               flag: set automatic mode for plugins discovery
   -l --list               list plugins currently installed
   -u --update             update plugin(s) currently installed
   -i --install [FILE(S)]  install plugin(s)
   -r --remove [FILE(S)]   remove plugin(s)


you should be able to use the --install option to get it installed

EDIT
you did not install flash with its ebuild, did you?
my flashplayer plugin is not located in /opt but in /usr/lib32/...
Code:
# nspluginwrapper -l
/usr/lib/nsbrowser/plugins/npwrapper.libflashplayer.so
  Original plugin: /usr/lib32/nsbrowser/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.2
/usr/lib64/nsbrowser/plugins/npwrapper.libflashplayer.so
  Original plugin: /usr/lib32/nsbrowser/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.2

_________________
Unanswered Post Initiative | Search | FAQ
Former username: davjel
Back to top
View user's profile Send private message
zzaappp
Apprentice
Apprentice


Joined: 06 Jun 2003
Posts: 176

PostPosted: Thu Mar 08, 2007 12:27 am    Post subject: Reply with quote

Quote:
you did not install flash with its ebuild, did you?


I originally installed it all with the following:
Quote:
% emerge netscape-flash nspluginwrapper



Okay, did the following:

Quote:

% nspluginwrapper -i /opt/netscape/plugins/libflashplayer.so
% nspluginwrapper -l
/usr/lib/nsbrowser/plugins/npwrapper.libflashplayer.so
Original plugin: /opt/netscape/plugins/libflashplayer.so
Wrapper version string: 0.9.91.2
/usr/lib64/nsbrowser/plugins/npwrapper.libflashplayer.so
Original plugin: /opt/netscape/plugins/libflashplayer.so
Wrapper version string: 0.9.91.2


I then went back into firefox and went to www.break.com and clicked on the first video. It opened up a screen like before (no longer shows the "get flash" icon), but it never starts playing, and I only ever see the pause [||] icon, never the [>] icon.

Not sure where to continue troubleshooting from here. I do not have pop-ups blocked for www.break.com.

Thoughts?

-z
Back to top
View user's profile Send private message
JeliJami
Veteran
Veteran


Joined: 17 Jan 2006
Posts: 1086
Location: Belgium

PostPosted: Thu Mar 08, 2007 7:10 am    Post subject: Reply with quote

the videos on that site play fine on my box
there is no > (play) button while the video plays
so I guess the video is playing, but it doesn't show

some more info:
Code:
$ equery l flash
[I--] [ ~] net-www/netscape-flash-9.0.31.0 (0)
$ equery l mozilla-firefox nspluginwrapper
[I--] [ ~] net-www/nspluginwrapper-0.9.91.2 (0)
$ equery l mozilla-firefox               
[I--] [  ] www-client/mozilla-firefox-2.0.0.1 (0)
$ nspluginwrapper -l
/usr/lib/nsbrowser/plugins/npwrapper.libflashplayer.so
  Original plugin: /usr/lib32/nsbrowser/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.2
/usr/lib64/nsbrowser/plugins/npwrapper.libflashplayer.so
  Original plugin: /usr/lib32/nsbrowser/plugins/libflashplayer.so
  Wrapper version string: 0.9.91.2
$ equery b /usr/lib32/nsbrowser/plugins/libflashplayer.so
[ Searching for file(s) /usr/lib32/nsbrowser/plugins/libflashplayer.so in *... ]
net-www/netscape-flash-9.0.31.0 (/usr/lib32/nsbrowser/plugins/libflashplayer.so -> /opt/netscape/plugins/libflashplayer.so)


my /usr/lib32/nsbrowser/plugins/libflashplayer.so is a link to the /opt directory, so those should be the same

Code:
$ file /opt/netscape/plugins/libflashplayer.so
/opt/netscape/plugins/libflashplayer.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), stripped
$ ls -l /opt/netscape/plugins/libflashplayer.so
-rwxr-xr-x 1 root root 7040080 Feb  8 14:03 /opt/netscape/plugins/libflashplayer.so

_________________
Unanswered Post Initiative | Search | FAQ
Former username: davjel
Back to top
View user's profile Send private message
zzaappp
Apprentice
Apprentice


Joined: 06 Jun 2003
Posts: 176

PostPosted: Fri Mar 09, 2007 12:31 am    Post subject: Reply with quote

Looks the same on my box:
Quote:
1)~ $ equery l flash
[ Searching for package 'flash' in all categories among: ]
* installed packages
[I--] [ -] net-www/netscape-flash-9.0.31.0 (0)
2)~ $ equery l mozilla-firefox nspluginwrapper
[ Searching for package 'nspluginwrapper' in all categories among: ]
* installed packages
[I--] [ ~] net-www/nspluginwrapper-0.9.91.2 (0)
3)~ $ equery l mozilla-firefox
[ Searching for package 'mozilla-firefox' in all categories among: ]
* installed packages
[I--] [ ] www-client/mozilla-firefox-2.0.0.2 (0)
4)~ $ nspluginwrapper -l
/usr/lib/nsbrowser/plugins/npwrapper.libflashplayer.so
Original plugin: /opt/netscape/plugins/libflashplayer.so
Wrapper version string: 0.9.91.2
/usr/lib64/nsbrowser/plugins/npwrapper.libflashplayer.so
Original plugin: /opt/netscape/plugins/libflashplayer.so
Wrapper version string: 0.9.91.2
5)~ $ equery b /usr/lib32/nsbrowser/plugins/libflashplayer.so
[ Searching for file(s) /usr/lib32/nsbrowser/plugins/libflashplayer.so in *... ]
net-www/netscape-flash-9.0.31.0 (/usr/lib32/nsbrowser/plugins/libflashplayer.so -> /opt/netscape/plugins/libflashplayer.so)
6)~ $ file /opt/netscape/plugins/libflashplayer.so
/opt/netscape/plugins/libflashplayer.so: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), stripped
7)~ $ ls -l /opt/netscape/plugins/libflashplayer.so
-rwxr-xr-x 1 root root 7040080 Mar 7 09:46 /opt/netscape/plugins/libflashplayer.so
Back to top
View user's profile Send private message
AaronPPC
Guru
Guru


Joined: 29 May 2005
Posts: 517
Location: Tucson, AZ

PostPosted: Fri Mar 09, 2007 9:36 pm    Post subject: Reply with quote

Nspluginwrapper-0.9.91.3 hit portage. Maybe it will help.
Code:
*[2007/03/04] nspluginwrapper 0.9.91.3
   o Fix printing with EMBED plugins
   o Fix build on Debian (Rob Andrews)
   o Avoid hangs when the plugin is dead
   o Use sound wrappers whenever possible on Linux (Flash Player 9)

_________________
--Aaron
Back to top
View user's profile Send private message
zzaappp
Apprentice
Apprentice


Joined: 06 Jun 2003
Posts: 176

PostPosted: Fri Mar 09, 2007 11:10 pm    Post subject: Reply with quote

Hazaah! It works!

Many thanks!

-z
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on AMD64 All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum